Package net.rubygrapefruit.platform

# Interface Terminals

All Superinterfaces:
  `NativeIntegration`

All Known Implementing Classes:
  `AbstractTerminals`, `TerminfoTerminals`, `WindowsTerminals`

public interface Terminals extends NativeIntegration
Provides access to the terminal/console.

On UNIX based platforms, this provides access to the terminal. On Windows platforms, this provides access to the console.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`Terminals.Output`
System outputs.

## Method Summary

Modifier and Type
Method
Description
`Terminal`
`getTerminal(Terminals.Output output)`
Returns the terminal attached to the given output.
`boolean`
`isTerminal(Terminals.Output output)`
Returns true if the given output is attached to a terminal.

## Method Details

### isTerminal

boolean isTerminal(Terminals.Output output) throws NativeException
Returns true if the given output is attached to a terminal.

Throws:
  `NativeException` - On failure.

### getTerminal

Terminal getTerminal(Terminals.Output output) throws NativeException
Returns the terminal attached to the given output.

Returns:
  The terminal. Never returns null.
Throws:
  `NativeException` - When the output is not attached to a terminal.